Create export job (Account, Opportunity, Person, Activity, Campaign, and Creative)

Creates a data export job for any supported entity type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Supported entities

  • account
  • opportunity
  • person
  • activity
  • Ad Report Data
    • campaign
    • creative
  • Buying Group Data
    • accountBuyingGroup
    • personBuyingGroupMember
ENTITY TYPEREQUIRED PARAMETERSOPTIONAL PARAMETERSNOTES
accountjobName, fieldsaccountListIds, filtersExports account attributes and firmographics
opportunityjobName, fieldsfiltersExports opportunity-level data
personjobName, fieldspersonListIds, filtersExports person attributes and contact details
activityjobName, fields, fromDate, toDatefiltersDate range required (max 90-day span)
creativejobName, campaignIdperformance: rollup, fromDate, toDateFor campaign rollup performance
campaignjobName,
campaignId
——
accountBuyingGroupjobName, fields, accountIdsfiltersExports fields associated to accountBuyingGroup, idealBuyingGroup and account
personBuyingGroupMemberjobName, fields, accountIdsfiltersExports fields associated to personBuyingGroupMember, idealBuyingGroup, account and person

adReportType Values

Campaign


adReportTypeDescriptionNotes
campaign_summarySummary for LinkedIn, Google, or Demandbase campaignssource is required
campaign_performance_rollupDaily campaign-level performancefromDate & toDate are required
campaign_account_rollupDaily account-level performancefromDate & toDate are required
campaign_account_lifetimeCumulative account-level metrics

Creative


adReportTypeDescription
creative_performance_lifetimeCumulative creative performance
creative_performance_rollupDay-wise creative performance

⚠️ Notes:

  • fromDate and toDate are only required for activity, rollup or performance reports (_rollup or _performance types).
  • source is required for all ads exports.
    • The source values linkedin, google and all are only supported when adReportType = campaign_summary.
    • Other report types only support source = demandbase.

Body Params

Request to create an export job. Entity type matching is case-insensitive.

Conditional requirements:

  • fromDate and toDate are required for activity, campaign_performance_rollup, campaign_account_rollup, and creative_performance_rollup exports.
  • adReportType is required when entityType is campaign or creative.
  • source is required for campaign_summary and creative_performance_lifetime exports. For creative_performance_lifetime, the only supported source is demandbase.
  • accountIds is required when entityType is accountBuyingGroup or personBuyingGroupMember.

string
enum
required

Type of entity to export. Matching is case-insensitive.

string
required
length between 1 and 50
string
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}Z)?$

Inclusive start date in YYYY-MM-DD or YYYY-MM-DDTHH:mm:ssZ format.

string
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}Z)?$

Inclusive end date in YYYY-MM-DD or YYYY-MM-DDTHH:mm:ssZ format.

fields
array of strings
required
length ≥ 1

Fields to include in the export. Use GET /v1/fields to retrieve available fields.

fields*
filters
array of objects

Filters are combined using AND logic.

filters
source
array of strings

Required for campaign_summary and creative_performance_lifetime. Source matching is case-insensitive.

source
Allowed:
string
enum

Required when entityType is campaign or creative.

Allowed:
accountListIds
array of int64s
length ≤ 10000

Account list IDs used to restrict an account export.

accountListIds
personListIds
array of int64s
length ≤ 10000

Person list IDs used to restrict a person export.

personListIds
accountIds
array of int64s
length ≤ 10000

Required for accountBuyingGroup and personBuyingGroupMember exports.

accountIds
integer
1 to 1000

Maximum number of records to export.

string
enum
Defaults to CSV
Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json